# Vore Scenario Generator

![Example scenario, reading:
The action takes place at a sports event.
The encounter is themed around voreception.
The action begins when a threat is made.
Things are more difficult because someone is not prepared
Partway through, unexpectedly, the prey nearly escapes
The vore scene is focused on the aftermath
The word of the day is Millionaire](example.png)

It does exactly what it says on the tin: it generates random vore scenarios. For you!
[The list of default responses are here if you want to check it in advance.](https://scenario-generator.deliciousreya.net/responses)

## Usage

### Installation

*
Visit [this Discord OAuth link](https://discord.com/api/oauth2/authorize?client_id=1192326191189864458&permissions=0&scope=applications.commands)
and give permission to use application commands in your server. Share it with the admin of your server if you don't
have permission yourself!
* Don't worry - not only does this bot not do anything nefarious with your messages, but it actually can't read them at
  all. It only reads the commands you give it and its own messages! If you're concerned, though, please go through the
  code. Kink stuff is very personal and private! Use caution when running random horny software!

### Generation

* Run the `/generate` command to generate a random scenario.
* Don't like what you got? Pick the components you don't like from the select box,
	then click "Reroll Selected" to generate fresh ones.
* Think the scenario is beyond saving? Click "Trash it." to delete the message.
* Satisfied with the results? Click "Looks good!" to remove the reroll commands.

### Customization

Note that changes to custom responses will be sent to your current channel and will be visible to the admin (that's me)
and everyone in the server, as well as anyone who knows or can guess your server ID. Assume your responses are not
private.

* Run `/response add [table] [text]` to add a new custom response. Use the table listing in the Discord command.
* Run `/response delete [table] [text]` to remove a custom response. Give the response text exactly!
* Run `/response edit [table] [old text] [new text]` to modify a custom response. Give the old response text exactly!
* Run `/response list` to get a link to a list of all responses that will be given in the current server, including both
	default and custom responses.

## Credits

* Icon source: [obsid1an on DeviantArt](https://www.deviantart.com/obsid1an/art/Slot-Machine-Game-Icon-341475642)
* Writing for default responses by [Ssublissive](https://aryion.com/g4/gallery/Ssublissive), with additional writing by
	[DeliciousReya](https://aryion.com/g4/gallery/DeliciousReya), [Seina](https://aryion.com/g4/user/RediQ) and 1 other.
* Development by [DeliciousReya](https://aryion.com/g4/gallery/DeliciousReya), using
	[slash-create](https://slash-create.js.org/#/) and
	[discord-snowflake](https://github.com/ianmitchell/interaction-kit/tree/main/packages/discord-snowflake).
* Hosted on [CloudFlare Workers](https://developers.cloudflare.com/workers/)
	with [D1](https://developers.cloudflare.com/d1/).
